c
c	Common definitions for the CB Manager.
c

	implicit integer*4(a-z)

	parameter ( maxpeople=64, maxchannel=40 )
	character*16 terminal(maxpeople)
	character*12 username(maxpeople)
	character*16 handle(maxpeople)
	character*32 squelch(maxpeople)
	integer*4 channel(maxpeople,3)
	integer*4 pid(maxpeople)
	character*1 scramble_type(maxpeople)
	character*8 scramble_key(maxpeople)
	character*255 text,dmsg
	integer*2 mb_chan
	character nodename*6
	character*2 crlf

	parameter DVI$_PID = '0E'x	!  Because FORSYSDEF doesn't have this.


c	The following definitions are site-dependant
c
        parameter numnodes = 4
        character*6 node_names(numnodes)/'ALPHA','BETA','GAMMA','DELTA'/
	character*(*) file_loc		!Location of cluster_wide data files
	parameter (file_loc='dua10:[cb]')

c	everything else is the same
	integer othern(numnodes-1)
	integer lastmess(numnodes-1)
	integer pointer(numnodes-1)

	integer mynode,mylastmess,mypointer

	common / cb1 /  terminal, handle, usernode, text, username
	common / cb2 /  channel, pid, numactive, mb_chan
	common / cb3 /  scramble_type, scramble_key, squelch
	common / nodes / nodename, othern, lastmess, pointer,
	1   mynode, mylastmess, mypointer, nextnode
